Get a pull request

View as Markdown
Gets information about a pull request, such as the source and destination details, who reviewed the pull request, the merge's current status, and whether the element is accessible.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

pullRequestIdstringRequired
The pull request's ID.

Response

Successful Response
createdAtstringOptional
The date and time at which the pull request was created.
updatedAtstringOptional
The date and time at which the pull request was updated.
idstringOptional
The pull request's ID.
titlestringOptional
The pull request's title.
descriptionstringOptional
The pull request's description.
createdBystringOptional
The ID of the user who created the pull request.
updatedBystringOptional
The ID of the user who last updated the pull request.
commentstringOptional

If the pull request is a decline status, an optional comment about why the pull request was declined.

fortkTypestringOptional
The type of element the pull request was forked from.
sourceobjectOptional

Information about the pull request’s source (parent) element.

destinationobjectOptional
Information about the pull request destination element.
statusstringOptional

The pull request’s current review status:

  • open — The pull request is still open.
  • approved — The pull request was approved by its reviewers.
  • declined — The pull request was not approved by its reviewers.
mergeobjectOptional
Information about the current progress of the pull request's merge.
reviewerslist of objectsOptional
Information about the reviewers assigned to the pull request.

Errors

403
Forbidden Error
500
Internal Server Error